{% extends 'base.html.twig' %}

{% block title %}Profile{% endblock %}

{% block breadcrumbs %}
    <div class="mybreadcrumb">
        <div class="container">
            <ul class="breadcrumbs">
                <li class="home">
                    <a href="{{ path('home') }}" title="Go to Home Page"><img
                                src="{{ asset('/build/images/home.png') }}" alt="Home"/></a>&nbsp;
                    <span>&gt;</span>
                </li>
                <li>
                    <a href="{{ path('profile') }}">Profile</a>
                    <span>&gt;</span>
                </li>
                <li>
                    <a href="{{ path('profile.orders') }}">Orders</a>
                    <span>&gt;</span>
                </li>
                <li>
                    <span class="grey">&nbsp;{{ order.created|date('Y-m-d') }}&nbsp;</span>
                </li>
            </ul>
            <ul class="previous">
                <li><a href="{{ app.request.headers.get('referer') }}">Back to Previous Page</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>
{% endblock %}

{% block body %}

    <div class="container">
        <div class="card">
            <div class="card-body">
                <div class="box">
                    <table class="table table-bordered table-hover">
                        <tbody>
                        <tr>
                            <th>Created</th>
                            <td>
                                {{ order.created|date('Y-m-d') }}
                            </td>
                        </tr>
                        <tr>
                            <th>Grand total</th>
                            <td>
                                {{ order.grandTotal }}
                            </td>
                        </tr>
                        <tr>
                            <th>Status</th>
                            <td>
                                {{ order.status }}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <h4>Products</h4>
            <div class="box">
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Price</th>
                        <th>Count</th>
                        <th>Subtotal</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for item in order.items %}
                        <tr>
                            <td>
                                <a href="{{ path('shop.men.product', {'id': item.product.id}) }}">{{ item.product.name }}</a>
                            </td>
                            <td>
                                {{ item.product.price }}
                            </td>
                            <td>
                                {{ item.quantity }}
                            </td>
                            <td>
                                {{ item.subtotal }}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <h4>Address</h4>
            <div class="box">
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Address</th>
                        <th>City</th>
                        <th>ZipCode</th>
                        <th>Country</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>
                                {{ order.customer.name.full }}
                            </td>
                            <td>
                                {{ order.address.address }}
                            </td>
                            <td>
                                {{ order.address.city }}
                            </td>
                            <td>
                                {{ order.address.zipcode }}
                            </td>
                            <td>
                                {{ order.address.country }}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock %}